﻿$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  url            = 'https://github.com/brave/browser-laptop/releases/download/v0.23.18dev/BraveSetup-ia32.exe'
  url64          = 'https://github.com/brave/browser-laptop/releases/download/v0.23.18dev/BraveSetup-x64.exe'
  checksum       = '42fc5a190a1f497f31945ccac4084ac6dca39b0dd910ec56760150589f64ef9d'
  checksum64     = 'a7ce2288cd654cfcb0ccfef591682748e808baf0e3c675c6fa4d08b9560eb770'
  checksumType   = 'sha256'
  checksum64Type = 'sha256'
}

Install-ChocolateyPackage @packageArgs

Get-ChildItem $toolsDir\*.exe | ForEach-Object { Remove-Item $_ -ea 0; if (Test-Path $_) { Set-Content "$_.ignore" } }
